/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ManuMgmt.ProcessTemplate;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;
import ManuMgmt.Process.ManuProcess;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class ManuProcessTemplate {
    public void makeManuProcessTemplate() {
    }

    public void addSub() {
    }

    public void addDetail() {
    }

    public BigDecimal calcFailureRateWhenUsingThisTemplate() {
        return new BigDecimal(0);
    }

    /**  */
    public Vector assessTimelinessWhenUsingThisTemplate() {
        return new Vector();
    }

    public void convertAllToNet() {
    }

    public Vector forecastCostQtysResources() {
        return new Vector();
    }

    /**  */
    public ManuProcess generatePlannedProcessStartingAt() {
        return new ManuProcess();
    }

    /**  */
    public Vector listAllSteps() {
        return new Vector();
    }

    /**  */
    public Vector listAllInputsAndOutputs() {
        return new Vector();
    }

    /**  */
    public Vector listNetInputsAndOutputs() {
        return new Vector();
    }

    public static Vector listManuProcessTemplates() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private ManuMgmt.Process.ManuProcess lnkUnnamed11;
    private int type;
    private String name;
    private Date relativeStart;
    private int duration;
    private int purpose;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ManuStandard lnkUnnamed31;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private ManuProcessTemplateDetail lnkUnnamed1;
    private String instructions;

    /**
     *@shapeType AggregationLink
     *    @associates <b>ManuProcessTemplate</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     * @supplierRole smaller
     * @clientRole larger
     */
    private Vector lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ManuProcessTestTemplate lnkUnnamed3;
}


